make_ring {igraph} | R Documentation

## Create a ring graph

### Description

A ring is a one-dimensional lattice and this function is a special case of `make_lattice`.

### Usage

    make_ring(n, directed = FALSE, mutual = FALSE, circular = TRUE)

    ring(...)

### Arguments

`n` | Number of vertices.
`directed` | Whether the graph is directed.
`mutual` | Whether directed edges are mutual. It is ignored in undirected graphs.
`circular` | Whether to create a circular ring. A non-circular ring is essentially a “line”: a tree where every non-leaf vertex has one child.
`...` | Passed to `make_ring`.

### Value

An igraph graph.

### See Also

Other determimistic constructors: `atlas`, `graph.atlas`, `graph_from_atlas`; `chordal_ring`, `graph.extended.chordal.ring`, `make_chordal_ring`; `directed_graph`, `graph`, `graph.famous`, `make_directed_graph`, `make_graph`, `make_undirected_graph`, `undirected_graph`; `empty_graph`, `graph.empty`, `make_empty_graph`; `from_edgelist`, `graph.edgelist`, `graph_from_edgelist`; `from_literal`, `graph.formula`, `graph_from_literal`; `full_citation_graph`, `graph.full.citation`, `make_full_citation_graph`; `full_graph`, `graph.full`, `make_full_graph`; `graph.lattice`, `lattice`, `make_lattice`; `graph.star`, `make_star`, `star`; `graph.tree`, `make_tree`, `tree`

### Examples

    str(make_ring(10))
    str(make_ring(10, directed = TRUE, mutual = TRUE))

[Package igraph version 1.0.1 Index]